Bug 40943 - Prepare App Center for Self Service
Prepare App Center for Self Service
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 4.1
Other Linux
: P3 normal (vote)
: UCS 4.1-1-errata
Assigned To: Dirk Wiesenthal
Florian Best
:
Depends on:
Blocks: 40996
  Show dependency treegraph
 
Reported: 2016-03-26 22:12 CET by Dirk Wiesenthal
Modified: 2016-10-11 12:48 CEST (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Wiesenthal univentionstaff 2016-03-26 22:12:37 CET
There are some minor code changes necessary in univention-appcenter so that the creating the Self Service is much easiert. Otherwise one would have to duplicate a lot of code.

This should only be minor changes. And they are probably not exhaustive, as the Self Service is still evolving.
Comment 1 Dirk Wiesenthal univentionstaff 2016-03-26 22:20:50 CET
Fixed in
  univention-appcenter 5.0.20-33.144.201603262216

QA: Whether these changes actually helped is too hard to tell for now. Just make sure that none of the changes broke anything. r68281
Comment 2 Florian Best univentionstaff 2016-04-06 07:55:50 CEST
The changes look good. Especially I like the docstring :)
No regression found.
Comment 3 Janek Walkenhorst univentionstaff 2016-04-13 14:58:38 CEST
<http://errata.software-univention.de/ucs/4.1/146.html>